Name: indi-apogee
Version: 1.0
Release: 21%{?dist}
Summary: The INDI driver for Apogee Alta (U & E) line of CCDs

Group: Development/Libraries
License: LGPLv2+
URL: http://indi.sourceforge.net/

Source0: http://downloads.sourceforge.net/indi/%{name}_%{version}.tar.gz
Patch0: indi-apogee-cfitsio.patch

# https://sourceforge.net/tracker/?func=detail&aid=2954467&group_id=90275&atid=593019
Patch1: indi-apogee-dso.patch
# Fixes bz #1037130
Patch2: indi-apogee-format-spec.patch

BuildRequires: cmake libusb-devel cfitsio-devel zlib-devel
BuildRequires: libindi-static libindi-devel libapogee-devel libnova-devel

%description
The INDI (Instrument Neutral Distributed Interface) driver for Apogee 
Alta (U & E) line of CCDs.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%cmake
make VERBOSE=1 %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}

%files
%doc AUTHORS ChangeLog COPYING.LIB README
%{_bindir}/*
%{_datadir}/indi/*

%changelog
* Tue Feb 02 2016 Christian Dersch <lupinix@mailbox.org> - 1.0-21
- Rebuild for libindi 1.2.0

* Mon Sep 07 2015 Christian Dersch <lupinix@fedoraproject.org> - 1.0-20
- rebuilt against libindi 1.1.0

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Feb 26 2015 Christian Dersch <lupinix@fedoraproject.org> - 1.0-18
- rebuilt against libindi 1.0.0

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Mon Jul 28 2014 Peter Robinson <pbrobinson@fedoraproject.org> 1.0-16
- rebuild (libnova)

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Jan 09 2014 Sergio Pascual <sergiopr@fedoraproject.org> 1.0-14
- Rebuilt for new cfitsio (3.360)
- Fix bz #1037130 (format security error)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Jul 21 2013 Sergio Pascual <sergiopr at fedoraproject.org> - 1.0-12
- EVR bump to build with cfitsio 3.350

* Sun Mar 24 2013 Sergio Pascual <sergiopr at fedoraproject.org> - 1.0-11
- EVR bump to build with cfitsio 3.340
- Removed some unused macros (buildroot, clean, etc)

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jan 08 2010 Sergio Pascual <sergiopr at fedoraproject.org> - 1.0-6
- Added missing -lm in indi_apogeeu_ccd and indi_apogeeu_ccd. Fixes bz #564703

* Fri Jan 08 2010 Sergio Pascual <sergiopr at fedoraproject.org> - 1.0-5
- EVR bump, rebuilt with new libnova

* Tue Dec 22 2009 Sergio Pascual <sergiopr at fedoraproject.org> - 1.0-4
- Adding libindi-devel to build requires

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 17 2009 Sergio Pascual <sergiopr at fedoraproject.org> -  1.0-1
- First version
